using TravelCompanyDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TravelCompanyContracts.ViewModels.TouristViewModels
{
    public class TouristViewModel : IUserModel
    {
        public int Id { get; set; }
        [DisplayName("Фамилия")]
        public string Surname { get; set; } = string.Empty;
        [DisplayName("Имя")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Отчество")]
        public string? Patronymic { get; set; } = string.Empty;
        [DisplayName("Дата рождения")]
        public DateTime BirthDay { get; set; } = DateTime.Now;
        [DisplayName("Логин")]
        public string Login { get; set; } = string.Empty;
        [DisplayName("Электронная почта")]
        public string Email { get; set; } = string.Empty;
        [DisplayName("Пароль")]
        public string Password { get; set; } = string.Empty;
    }
}
